Author Topic: EEVBlog Error on browser  (Read 2644 times)

0 Members and 1 Guest are viewing this topic.

Offline Rick Law

  • Super Contributor
  • ***
  • Posts: 2740
  • Country: us
EEVBlog Error on browser
« on: March 31, 2017, 10:02:46 pm »
Browsing EEVBLOG today with Chrome gives me an error:

This site can’t provide a secure connection

www.eevblog.com uses an unsupported protocol.
ERR_SSL_VERSION_OR_CIPHER_MISMATCH


When click on details:

The client and server don't support a common SSL protocol version or cipher suite. This is likely to be caused when the server needs RC4, which is no longer considered secure.


Note:
OS is WinXP sp3, Chrome version is Version 49.0.2623.87m.
Since Chrome no longer provides update to WinXP, it may be the client side needed RC4 and the server doesn't have it thus causing the problem??
The site works fine under FireFox.

Thanks for looking into it!
 

Online Monkeh

  • Super Contributor
  • ***
  • Posts: 6164
  • Country: gb
Re: EEVBlog Error on browser
« Reply #1 on: March 31, 2017, 10:11:38 pm »
RC4 is not the issue, the lack of ECDSA support is.

Chrome 49 is legacy, so is XP: It's time to move on.
 

Online tautech

  • Super Contributor
  • ***
  • Posts: 17545
  • Country: nz
  • Taupaki Technologies Ltd. NZ Siglent Distributor
    • Taupaki Technologies Ltd.
Re: EEVBlog Error on browser
« Reply #2 on: March 31, 2017, 10:19:22 pm »
Quite likely something to do with this:
https://www.eevblog.com/forum/news/server-ssl-upgrade/

Post in that thread so gnif knows about specific problems.
Avid Rabid Hobbyist
 

Offline ornea

  • Supporter
  • ****
  • Posts: 110
  • Country: au
Re: EEVBlog Error on browser
« Reply #3 on: March 31, 2017, 10:39:46 pm »
RC4 is not the issue, the lack of ECDSA support is.

Chrome 49 is legacy, so is XP: It's time to move on.

In some cases that is easier said than done.

I have the same issue running XP and Chrome and I can only visit the forum if I have access to Win7.  So have mostly given up on the forum.

Maybe firefox is worth another look at.
« Last Edit: March 31, 2017, 10:43:15 pm by ornea »
 

Online Monkeh

  • Super Contributor
  • ***
  • Posts: 6164
  • Country: gb
Re: EEVBlog Error on browser
« Reply #4 on: March 31, 2017, 10:42:31 pm »
RC4 is not the issue, the lack of ECDSA support is.

Chrome 49 is legacy, so is XP: It's time to move on.

In some cases that is easier said than done.

I have the same issue running XP and Chrome and I can only visit the forum if I have access to Win7.  So have mostly given up on the forum.

Switch to a browser which is actually receiving updates if you're for some reason unable to switch to an OS with the same conditions.
 

Offline blueskull

  • Supporter
  • ****
  • Posts: 13275
  • Country: cn
  • Power Electronics Guy
Re: EEVBlog Error on browser
« Reply #5 on: March 31, 2017, 10:52:07 pm »
Sometimes Chrome (Android 7, Xperia XZ) tag EEVBlog as harmful website, maybe caused by an unsafe AD banner?
 

Offline amspire

  • Super Contributor
  • ***
  • Posts: 3787
  • Country: au
Re: EEVBlog Error on browser
« Reply #6 on: March 31, 2017, 11:38:39 pm »
I gather Firefox is still supporting XP with the Extended Support Release. Basically Firefox 52 (released 8th March 2017) is the last version that supports XP SP1 to SP3 and after that, they will provide an Extended Support Release (https://www.mozilla.org/en-US/firefox/organizations/ ). I think all XP users will be automatically migrated to that version anyway.
 

Offline Rick Law

  • Super Contributor
  • ***
  • Posts: 2740
  • Country: us
Re: EEVBlog Error on browser
« Reply #7 on: March 31, 2017, 11:42:00 pm »
RC4 is not the issue, the lack of ECDSA support is.

Chrome 49 is legacy, so is XP: It's time to move on.

In some cases that is easier said than done.

I have the same issue running XP and Chrome and I can only visit the forum if I have access to Win7.  So have mostly given up on the forum.

Maybe firefox is worth another look at.

re: "In some cases that is easier said than done."
Yeah, no kidding...  I am kind of stuck unless I want to upgrade a lot of my tools.  I don't use most of the stuff enough to justify spending more money on them, but I hate to upgrade and pay the price of having to say goodbye to them.

re: "Maybe firefox is worth another look at."
Firefox is slower than Chrome, but it works well with EEVBLOG.  I do run into some videos I have problem playing with Firefox.  Switching to Firefox as my main browser is a no-brainer for me.
 

Offline bitwelder

  • Frequent Contributor
  • **
  • Posts: 836
  • Country: fi
Re: EEVBlog Error on browser
« Reply #8 on: April 01, 2017, 07:47:47 am »
I gather Firefox is still supporting XP with the Extended Support Release. Basically Firefox 52 (released 8th March 2017) is the last version that supports XP SP1 to SP3 and after that, they will provide an Extended Support Release (https://www.mozilla.org/en-US/firefox/organizations/ ). I think all XP users will be automatically migrated to that version anyway.
Besides, as I remember Firefox uses its own crypto suite (instead of using the one provides by the OS, as the other main browsers do), so it should be able to support newer cipher schemes on out-of-support OS like Win XP.
 

Offline Rick Law

  • Super Contributor
  • ***
  • Posts: 2740
  • Country: us
Re: EEVBlog Error on browser
« Reply #9 on: April 06, 2017, 07:11:13 pm »
Problem gone/fixed.  Thank you sir!
 


Share me

Digg  Facebook  SlashDot  Delicious  Technorati  Twitter  Google  Yahoo
Smf